$!-----------------------------------------------------------------------------
$! BUILD_QUERY.COM
$! Builds the QUERY utility for both VAX and AXP systems (separately)
$!
$! 04-OCT-98  MGD  remove MapUrl link,
$!                 consolidate Extract here
$! 25-MAY-98  MGD  merged source files
$! 01-DEC-95  MGD  VAX migrate from VAX C to DEC C
$! 25-MAY-95  MGD  added AXP build
$! 05-DEC-94  MGD  initial development
$!-----------------------------------------------------------------------------
$!
$ WRITE SYS$OUTPUT "Building ""QUERY""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ DEFINES = "/DEFINE=(_VMS_V6_SOURCE=1,__VMS_VER=60000000,__CRTL_VER=60000000)"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/STANDARD=VAXC 'DEFINES' /OBJECT=''OBJECT_DIR'"
$ ELSE
$    CC_OPTIONS = "/STANDARD=VAXC 'DEFINES' /OBJECT=''OBJECT_DIR'"
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' Query
$    CC 'CC_OPTIONS' Extract
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ IF P1 .EQS. "" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /EXECUTABLE=HT_EXE:QUERY.EXE 'OBJECT_DIR'Query
$    LINK /EXECUTABLE=HT_EXE:EXTRACT.EXE 'OBJECT_DIR'Extract
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE HT_EXE:QUERY.EXE
$ SET PROTECTION=W:RE HT_EXE:EXTRACT.EXE
$ PURGE /NOLOG 'OBJECT_DIR'
$!-----------------------------------------------------------------------------
